CodeStream.h File Reference
`#include "CodingParams.h"`

Go to the source code of this file.

## Classes

struct | grk::ICodeStreamCompress
struct | grk::ICodeStreamDecompress
class | grk::CodeStream

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | J2K_CP_CSTY_PRT 0x01
#define | J2K_CP_CSTY_SOP 0x02
#define | J2K_CP_CSTY_EPH 0x04
#define | J2K_CCP_CSTY_PRT 0x01
#define | J2K_CCP_QNTSTY_NOQNT 0
#define | J2K_CCP_QNTSTY_SIQNT 1
#define | J2K_CCP_QNTSTY_SEQNT 2

## Typedefs

typedef void(* | grk::j2k_mct_function) (const void *p_src_data, void *p_dest_data, uint64_t nb_elem)
typedef std::function< bool(void)> | grk::PROCEDURE_FUNC

## Functions

template<typename S , typename D >
void | grk::j2k_write (const void *p_src_data, void *p_dest_data, uint64_t nb_elem)

## Variables

const uint32_t | grk::default_numbers_segments = 10
const uint32_t | grk::default_header_size = 4096
const uint32_t | grk::default_number_mcc_records = 10
const uint32_t | grk::default_number_mct_records = 10
const uint32_t | grk::sot_marker_segment_len_minus_tile_data_len = 12U
const uint32_t | grk::sot_marker_segment_min_len = 14U
const uint32_t | grk::SPCod_SPCoc_len = 5U
const uint32_t | grk::cod_coc_len = 5U
const uint32_t | grk::tlmMarkerBytesPerTilePart = 6
const uint32_t | grk::GRK_COMP_PARAM_DEFAULT_CBLOCKW = 64
const uint32_t | grk::GRK_COMP_PARAM_DEFAULT_CBLOCKH = 64
const GRK_PROG_ORDER | grk::GRK_COMP_PARAM_DEFAULT_PROG_ORDER = GRK_LRCP
const uint32_t | grk::GRK_COMP_PARAM_DEFAULT_NUMRESOLUTION = 6
const uint16_t | grk::J2K_MS_SOC = 0xff4f
| SOC marker value.
const uint16_t | grk::J2K_MS_SOT = 0xff90
| SOT marker value.
const uint16_t | grk::J2K_MS_SOD = 0xff93
| SOD marker value.
const uint16_t | grk::J2K_MS_EOC = 0xffd9
| EOC marker value.
const uint16_t | grk::J2K_MS_CAP = 0xff50
| CAP marker value.
const uint16_t | grk::J2K_MS_SIZ = 0xff51
| SIZ marker value.
const uint16_t | grk::J2K_MS_COD = 0xff52
| COD marker value.
const uint16_t | grk::J2K_MS_COC = 0xff53
| COC marker value.
const uint16_t | grk::J2K_MS_RGN = 0xff5e
| RGN marker value.
const uint16_t | grk::J2K_MS_QCD = 0xff5c
| QCD marker value.
const uint16_t | grk::J2K_MS_QCC = 0xff5d
| QCC marker value.
const uint16_t | grk::J2K_MS_POC = 0xff5f
| POC marker value.
const uint16_t | grk::J2K_MS_TLM = 0xff55
| TLM marker value.
const uint16_t | grk::J2K_MS_PLM = 0xff57
| PLM marker value.
const uint16_t | grk::J2K_MS_PLT = 0xff58
| PLT marker value.
const uint16_t | grk::J2K_MS_PPM = 0xff60
| PPM marker value.
const uint16_t | grk::J2K_MS_PPT = 0xff61
| PPT marker value.
const uint16_t | grk::J2K_MS_SOP = 0xff91
| SOP marker value.
const uint16_t | grk::J2K_MS_EPH = 0xff92
| EPH marker value.
const uint16_t | grk::J2K_MS_CRG = 0xff63
| CRG marker value.
const uint16_t | grk::J2K_MS_COM = 0xff64
| COM marker value.
const uint16_t | grk::J2K_MS_CBD = 0xff78
| CBD marker value.
const uint16_t | grk::J2K_MS_MCC = 0xff75
| MCC marker value.
const uint16_t | grk::J2K_MS_MCT = 0xff74
| MCT marker value.
const uint16_t | grk::J2K_MS_MCO = 0xff77
| MCO marker value.
const uint16_t | grk::J2K_MS_UNK = 0
| UNKNOWN marker value.
const uint8_t | grk::MARKER_BYTES = 2
const uint8_t | grk::MARKER_LENGTH_BYTES = 2
const uint8_t | grk::MARKER_PLUS_MARKER_LENGTH_BYTES = MARKER_BYTES + MARKER_LENGTH_BYTES
const uint32_t | grk::MCT_ELEMENT_SIZE [] = {2, 4, 4, 8}

## Macro Definition Documentation

## J2K_CCP_CSTY_PRT

#define J2K_CCP_CSTY_PRT 0x01

## J2K_CCP_QNTSTY_NOQNT

#define J2K_CCP_QNTSTY_NOQNT 0

## J2K_CCP_QNTSTY_SEQNT

#define J2K_CCP_QNTSTY_SEQNT 2

## J2K_CCP_QNTSTY_SIQNT

#define J2K_CCP_QNTSTY_SIQNT 1

## J2K_CP_CSTY_EPH

#define J2K_CP_CSTY_EPH 0x04

## J2K_CP_CSTY_PRT

#define J2K_CP_CSTY_PRT 0x01

## J2K_CP_CSTY_SOP

#define J2K_CP_CSTY_SOP 0x02